#include "util.h"


QString GetErrorCodeMessage(foxit::ErrorCode error_code) {
    switch(error_code) {
        case foxit::e_ErrSuccess:
            return "Success, and no error occurs.";
        case foxit::e_ErrFile:
            return "File error: file cannot be found or could not be opened.";
        case foxit::e_ErrFormat:
            return "Format error: format is invalid. For files, this may also mean that file is corrupted.";
        case foxit::e_ErrPassword:
            return "Password error: invalid password.";
        case foxit::e_ErrHandle:
            return "Error handle.";
        case foxit::e_ErrCertificate:
            return "Certificate error: PDF document is encrypted by digital certificate and current user does not have the correct certificate.";
        case foxit::e_ErrUnknown:
            return "Unknown error: any unknown error occurs.";
        case foxit::e_ErrInvalidLicense:
            return "License error: invalid license is used to initialize Foxit PDF SDK library.";
        case foxit::e_ErrParam:
            return "Parameter error: value of any input parameter for a function is invalid.";
        case foxit::e_ErrUnsupported:
            return "Unsupported error: some types are not supported.";
        case foxit::e_ErrOutOfMemory:
            return "Memory error: out-of-memory error occurs.";
        case foxit::e_ErrSecurityHandler:
            return "Security handler error: PDF document is encrypted by some unsupported security handler.";
        case foxit::e_ErrNotParsed:
            return "Not parsed error: content has not been parsed yet. Usually, this represents PDF page has not been parsed yet.";
        case foxit::e_ErrNotFound:
            return "Not found error: expected data or object is not found.";
        case foxit::e_ErrInvalidType:
            return "Invalid type error: the type of input object or current object is invalid.";
        case foxit::e_ErrConflict:
            return "Conflict error: new data conflicts with existed data.";
        case foxit::e_ErrUnknownState:
            return "Unknown state error: any unknown state occurs.";
        case foxit::e_ErrDataNotReady:
            return "Data not ready error: data is not ready yet. Usually, this may occur when the PDF document is loaded by using asynchronous loader handler and it represents application has not download enough PDF document data yet.";
        case foxit::e_ErrInvalidData:
            return "Invalid data error: data of current object is invalid.";
        case foxit::e_ErrXFALoadError:
            return "XFA loading error.";
        case foxit::e_ErrNotLoaded:
            return "Not loaded erorr: current object has not been loaded yet.";
        case foxit::e_ErrInvalidState:
            return "Invalid state error: invalid or incorrect state.";
        default:
            return "Error code:" + QString::number(error_code) + ".";
    }
}
